Create Team
https://app.fossa.com/api/teamsCreate a new team
Request body (required) · application/json
namestringrequiredName of the team
defaultRoleIdintegerrequiredDefault role ID for team members
autoAddUsersbooleanWhether to automatically add users to this team
uniqueIdentifierstringUnique identifier for the team
teamGroupIdsinteger[]IDs of team groups to add this team to (requires team groups feature)
Responses
200Team created successfullyidintegerThe team's unique identifier
organizationIdintegerThe organization's unique identifier
namestringThe team's name
defaultRoleIdintegerThe default role's unique identifier
autoAddUsersbooleanWhether the team auto-adds users
uniqueIdentifierstringThe team's unique identifier
createdAtstring <date-time>The team's creation date
updatedAtstring <date-time>The team's last update date
teamUsersobject[]userIdintegerThe user's unique identifier
roleIdintegerThe role's unique identifier
teamReleaseGroupsCountintegerThe number of release groups associated with the team
teamProjectsCountintegerThe number of projects associated with the team
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
POST https://app.fossa.com/api/teamscurl --request POST \ --url 'https://app.fossa.com/api/teams' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "name": "Engineering", "defaultRoleId": 2}'Real request. Mutating methods can change data.